"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useViewport = void 0;
var use_window_dimensions_1 = require("./use-window-dimensions");
var breakpoints_sizes_1 = require("../responsive/breakpoints-sizes");
var react_1 = require("react");
var useViewport = function () {
    var width = (0, use_window_dimensions_1.useWindowDimensions)().width;
    var _a = (0, react_1.useState)(false), hydratred = _a[0], setHydrated = _a[1];
    var viewportResponse = (0, react_1.useMemo)(function () {
        var isSmall = width <= breakpoints_sizes_1.BreakpointsSizes.s.max;
        var isMedium = width >= breakpoints_sizes_1.BreakpointsSizes.m.min && width <= breakpoints_sizes_1.BreakpointsSizes.m.max;
        var isLarge = width >= breakpoints_sizes_1.BreakpointsSizes.l.min && width <= breakpoints_sizes_1.BreakpointsSizes.l.max;
        var isXLarge = width >= breakpoints_sizes_1.BreakpointsSizes.xl.min;
        return {
            isSmall: isSmall,
            isMedium: isMedium,
            isLarge: isLarge,
            isXLarge: isXLarge,
        };
    }, [width]);
    (0, react_1.useEffect)(function () {
        setHydrated(true);
    }, []);
    if (hydratred) {
        return viewportResponse;
    }
    return {
        isSmall: false,
        isMedium: false,
        isLarge: true,
        isXLarge: false,
    };
};
exports.useViewport = useViewport;
//# sourceMappingURL=use-viewport.js.map